#include "MyException.h"

#include <TROOT.h>
#include <TApplication.h>
#include <TVirtualX.h>
TROOT root("GUI", "GUI test environement");

int main(int argc, char **argv)
{
  try{

    TApplication theApp("App", &argc, argv);

    MyException except;
    except.Throw();

    theApp.Run();
  }     
  catch(exception& e) {
    cout<<"std exception: "<<e.what()<<endl;
  } 

  catch( ... ) {
    cerr << "Oops, unknown exception!\n";
  }

  return 0;
}

